Subject: Re: linux-next: build failure after upgrading sphinx

From: Jonathan Corbet <[email-masked]>
Date: Mon, 31 Aug 2020 13:03:12 -0600

On Thu, 27 Aug 2020 14:50:17 +1000
Stephen Rothwell <[email-masked]> wrote:

> Today I upgraded ot sphinx v3.2.1 and got the following error from
> "make htmldocs":
> 
> Running Sphinx v3.2.1
> enabling CJK for LaTeX builder
> 
> Extension error:
> Could not import extension cdomain (exception: cannot import name 'c_funcptr_sig_re' from 'sphinx.domains.c' (/usr/lib/python3/dist-packages/sphinx/domains/c.py))
> 
> I have downgraded to version 2.4.3 and await suggestions/patches :-)

[Adding Markus]

Markus, this looks like an issue with the "handle function-like macros"
code that has your name on it.  The Sphinx folks think that functionality
can just be removed:

	https://github.com/sphinx-doc/sphinx/issues/7421

Do you agree?  We need to look at what they're saying about the :name:
directive as well; somehow I missed that when it first went in.

Thanks,

jon